FROM alpine

RUN apk update && apk add php7-fpm php7-mysqli && rm -f /var/cache/apk/*

RUN apk add tzdata && cp /usr/share/zoneinfo/Europe/Moscow /etc/localtime && echo "Europe/Moscow" > /etc/timezone && apk del tzdata

RUN addgroup -g 101 www-data && adduser -G www-data -D -H -u 100 www-data && \
  sed -i 's/\(listen = \).*\(:9000\)/\10.0.0.0\2/' /etc/php7/php-fpm.d/www.conf && \
  sed -i 's/\(user = \).*/\1www-data/' /etc/php7/php-fpm.d/www.conf && \
  sed -i 's/\(group = \).*/\1www-data/' /etc/php7/php-fpm.d/www.conf

EXPOSE 9000

CMD ["php-fpm7", "-F"]
